Bug 247233 - [as_IN, bn_IN]Additional special character rendering for assamese [as-IN] and bengali [bn-IN]
[as_IN, bn_IN]Additional special character rendering for assamese [as-IN] and...
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 247420
  Show dependency treegraph
Reported: 2007-07-06 02:37 EDT by Amitakhya Phukan
Modified: 2009-05-27 18:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-27 18:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Incorrect rendering while typing (66.04 KB, image/jpeg)
2007-07-06 02:52 EDT, Amitakhya Phukan
no flags Details
Correct rendering (107.76 KB, image/jpeg)
2007-07-06 02:58 EDT, Amitakhya Phukan
no flags Details
patch for Lohit-Bengali.sfd (105.04 KB, patch)
2008-01-23 07:40 EST, Rahul Bhalerao
no flags Details | Diff
fixed ttf file (135.80 KB, application/x-font-ttf)
2008-01-23 07:41 EST, Rahul Bhalerao
no flags Details
Correct positioning of the "dot" (4.83 KB, image/png)
2008-01-24 01:26 EST, Amitakhya Phukan
no flags Details
patch for Lohit-Bengali.sfd (104.66 KB, patch)
2008-01-24 02:11 EST, Rahul Bhalerao
no flags Details | Diff
fixed ttf file (135.80 KB, application/x-font-ttf)
2008-01-24 02:12 EST, Rahul Bhalerao
no flags Details

  None (edit)
Description Amitakhya Phukan 2007-07-06 02:37:25 EDT
Description of problem:
As a part of request from the community, I am including the Unicode character
U+09FA in the Inscript and Phonetic layouts for Assamese. But the rendering of
the character is wrong. The character appears above,to the left of the
consonant/vowel which follows it. At present, it is appearing in the same line
as the character that follows it. Also, it is not a consonant that combines or a
vowel mark that affects the pronunciation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Provided the fonts-bengali are installed, please type the character in raw code.
2. The character should appear to have been typed above left relative to the
next vowel/consonant being typed. Should not depend on what follows it and the
movement to the upper left shouldn't happen after the consonant/vowel that
follows is being typed.
Actual results:
The character is appearing in line with other characters.

Expected results:
The character should appear above the line with other characters.

Additional info:
Comment 1 Amitakhya Phukan 2007-07-06 02:52:27 EDT
Created attachment 158643 [details]
Incorrect rendering while typing
Comment 2 Amitakhya Phukan 2007-07-06 02:58:18 EDT
Created attachment 158644 [details]
Correct rendering

Please note that though the character appears to combine with the consonant, it
is actually not combining. Further more, though the character appears to the
above left of the consonant that follows it, while typing it alone, it should
appear like when you type superscripts, without change in font size.
Comment 3 Amitakhya Phukan 2008-01-16 07:34:29 EST
Please note that this letter doesn't combine like U+0981, though the glyph
appears to be some what same. While writing, we write this character first and
then the consonant/vowel that follows. In case of U+0981, we type the
consonant/vowel first and then U+0981 as it combines with the consonant/vowel
and gives a nasalized pronunciation.

Please do get back to me in case any other information about this character is
Comment 4 Rahul Bhalerao 2008-01-23 07:40:40 EST
Created attachment 292628 [details]
patch for Lohit-Bengali.sfd

This patch fixes the position for requested glyph.
Comment 5 Rahul Bhalerao 2008-01-23 07:41:51 EST
Created attachment 292629 [details]
fixed ttf file

Amit, can you please test this font file before I can build it for fedora?
Comment 6 Amitakhya Phukan 2008-01-23 07:57:46 EST
rahul, i have tested it and runa has also seen it. we are of the opinion that
the shape and the positioning of the character might need to be changed a little
bit. will get you a proper confirmation in a few days time.
Comment 7 Rahul Bhalerao 2008-01-23 14:53:05 EST
Thanks, I will be waiting for the information from your side.
Comment 8 Amitakhya Phukan 2008-01-24 01:26:38 EST
Created attachment 292741 [details]
Correct positioning of the "dot"

Please use this for proper positioning.
Comment 9 Rahul Bhalerao 2008-01-24 02:11:45 EST
Created attachment 292745 [details]
patch for Lohit-Bengali.sfd

This is an updated patch according to new screenshot.
Comment 10 Rahul Bhalerao 2008-01-24 02:12:52 EST
Created attachment 292746 [details]
fixed ttf file

Amit, please test this font file and confirm the fix.
Comment 11 Amitakhya Phukan 2008-01-24 03:19:17 EST
rahul, the fix seems to be ok.
Comment 12 Rahul Bhalerao 2008-01-25 07:02:40 EST
Fixed in lohit-fonts-bengali-2.1.8-1.fc9.
Comment 13 Runa Bhattacharjee 2008-01-28 02:51:37 EST
Additional information:


The above is a scanned copy of the extract of a document written in Bengali
explaining the rules regarding the difference in use of Chandrabindu (0981) and
Isshwar (09FA).

The book titled Bangiya Shabdakosh was published by Shahitya Academy.

The isshwar signs used in this document are placed slightly lower than the
earlier considered fix.

Comment 14 Bug Zapper 2008-05-13 23:04:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 15 Tony Fu 2008-09-09 23:17:58 EDT
requested by Jens Petersen (#27995)
Comment 16 Jens Petersen 2009-05-27 18:40:42 EDT
Closing - please reopen if there should still be any problem.

Note You need to log in before you can comment on or make changes to this bug.